CloudFlare Apache Module – Ubuntu 14.04 LTS

If we have CloudFlare active on the domain/subdomain that is protected with IP *validation* we need to install libapache2-mod-cloudflare, so Apache can see the real visitor IP, other way it will see the CloudFlare IP, and we wont be able to access the sub/domain.


Step 1

echo 'deb trusty main' | sudo tee /etc/apt/sources.list.d/cloudflare-main.list

Step 2

curl -C - | sudo apt-key add -

Step 3

sudo apt-get update

Step 4

grep ^Package: /var/lib/apt/lists/pkg.cloudflare.com_dists_trusty_main_binary-amd64_Packages

Step 5

sudo apt-get install libapache2-mod-cloudflare

Step 6

sudo service apache2 restart





Leave a Reply

Your email address will not be published. Required fields are marked *